## MacPorts-2.0.0.tar.gz

=== src/cflib1.0/Makefile ===
OBJS=		CFLib.o
SHLIB_NAME=	CFLib${SHLIB_SUFFIX}
LIBS+=		-framework CoreFoundation
INSTALLDIR= ${DESTDIR}${datadir}/macports/Tcl/cflib1.0

include ../../Mk/macports.autoconf.mk
include ../../Mk/macports.tea.mk
