=== tests/test/trace/Portfile ===
# $Id: Portfile 79489 2011-06-15 20:31:28Z jmr@macports.org $

PortSystem 1.0
name		trace
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for -t
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

distfiles
use_configure no
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

test {
	catch {system "touch create-trace"}
	catch {system "rm delete-trace"}
	system "touch /tmp/hello-trace"
	system "rm /tmp/hello-trace"
	system "ln -s /usr/include/ link-trace"
	system "rm /tmp/link-trace2"
	catch {system "mkdir mkdir-trace"}
	catch {system "rmdir rmdir-trace"}
	catch {system "mv rename-trace rename-new-trace"}
	catch {system "DYLD_INSERT_LIBRARIES= touch create-trace-modenv"}
	system "mkdir -p /usr/bin"
}
